<?php

namespace Lc\SovBundle\Definition\Field\Site;

use EasyCorp\Bundle\EasyAdminBundle\Field\TextField;
use Lc\SovBundle\Definition\Field\AbstractFieldDefinition;
use Lc\SovBundle\Field\CKEditorField;

class PageFieldDefinition extends AbstractFieldDefinition
{

    public function configureIndex(): array
    {
        return [
                'id',
                'title',
                'status'
        ];
    }

    public function configurePanelGeneral(): array
    {
        return [
                'title',
                'description',
                'status'
        ];
    }

    public function configurePanels(): array
    {
        return ['general', 'seo', 'opengraph', 'conf'];
    }

    public function configureFields(): array
    {
        return [
                'title' => TextField::new('title')->setSortable(true),
                'description' => CKEditorField::new('description')->hideOnIndex(),
        ];
    }

}
